Add ZFS sosreport plugin

Bug #1666239 reported by Eric Desrochers on 2017-02-20
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
sosreport (Ubuntu)
Wishlist
Unassigned
Trusty
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

[Impact]

 * Current sosreport doesn't include any ZFS verifications, which could be useful for general initial ZFS troubleshooting on Xenial and upward.
(Xenial being the release where ZFS has been first introduced in Ubuntu.)

[Test Case]

 #1) Have ZFS installed and configured
   - https://wiki.ubuntu.com/Kernel/Reference/ZFS

 #2) Have sosreport installed and configured
   $ sudo apt-get update
   $ sudo apt-get install sosreport -y

 #3) Run sosreport
   $ /usr/bin/sosreport -a

 #4) Lookin for a sosreport*.tar.xz file in /tmp
   - In PATH_TO_SOSREPORT/sos_commands/, there will be no trace of zfs output, cause as of today, there is no ZFS plugin in Ubuntu/Debian nor upstream.

[Regression Potential]

 * No regression
 * The PR passed all the upstream checks.

[Other Info]

* Pull Request:
https://github.com/sosreport/sos/pull/934 (Closed #934 via 922ea54)

* Commit :
https://github.com/sosreport/sos/commit/922ea54bf4f9cb488f72a75a180e5351169dd710

[Original Description]
I did a PR to upstream sosreport in order to include the ZFS plugin for Ubuntu/Debian.

PR:
https://github.com/sosreport/sos/pull/934

Commit :
https://github.com/sosreport/sos/commit/922ea54bf4f9cb488f72a75a180e5351169dd710

The ZFS plugin is collecting ZFS informations using the following commands :

"zfs get all"
"zfs list -t all -o space"
"zpool list"
"zpool status -x"

It would be great to have this ZFS plugin available for Xenial (where ZFS has been first introduce in Ubuntu) and upward (Zesty, ...)

- Eric

Eric Desrochers (slashd) wrote :

As per my IRC conversation with caribou on IRC.

I don't need to prepare a debdiff, caribou will prepare a new version in sync with upstream.

- Eric

tags: added: sts
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sosreport (Ubuntu):
status: New → Confirmed
Eric Desrochers (slashd) on 2017-02-20
description: updated
Eric Desrochers (slashd) on 2017-02-20
description: updated
description: updated
Changed in sosreport (Ubuntu):
importance: Undecided → Wishlist

I have tested sosreport with this patch and it worked as expected.

Eric Desrochers (slashd) on 2017-03-27
description: updated
Louis Bouchard (louis) on 2017-04-25
Changed in sosreport (Ubuntu):
status: Confirmed → Fix Released
Changed in sosreport (Ubuntu Trusty):
status: New → In Progress
Changed in sosreport (Ubuntu Xenial):
status: New → In Progress
Changed in sosreport (Ubuntu Yakkety):
status: New → In Progress
Changed in sosreport (Ubuntu Zesty):
status: New → In Progress
Changed in sosreport (Ubuntu Trusty):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Xenial):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Zesty):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Trusty):
assignee: nobody → Louis Bouchard (louis)
Changed in sosreport (Ubuntu Xenial):
assignee: nobody → Louis Bouchard (louis)
Changed in sosreport (Ubuntu Yakkety):
assignee: nobody → Louis Bouchard (louis)
Changed in sosreport (Ubuntu Zesty):
assignee: nobody → Louis Bouchard (louis)

Hello Eric, or anyone else affected,

Accepted sosreport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in sosreport (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Yakkety):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Zesty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Verification for the Zesty package:

1) Launched a new Zesty VM w/ latest daily image as of this writing

$ nova image-show ubuntu-daily/ubuntu-zesty-daily-amd64-server-20170426-disk1.img | grep simplestreams
| metadata simplestreams_metadata | {"aliases": "17.04,z,zesty", "arch": "amd64", "ftype": "disk1.img", "label": "daily", "md5": "d321b875d44a2a8163f9abd5f431554f", "os": "ubuntu", "pubname": "ubuntu-zesty-daily-amd64-server-20170426", "release": "zesty", "release_codename": "Zesty Zapus", "release_title": "17.04", "sha256": "1eb370132bfea8b929a7970ac94228c606f427046d210b22f05d9ed62e7fcafb", "size": "345112576", "support_eol": "2018-01-25", "supported": "True", "version": "17.04"} |

$ lsb_release -a && uname -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 17.04
Release: 17.04
Codename: zesty
Linux zfs-test 4.10.0-20-generic #22-Ubuntu SMP Thu Apr 20 09:22:42 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

2) Installed -proposed package

$ dpkg -s sosreport
Package: sosreport
Status: install ok installed
Priority: optional
Section: admin
Installed-Size: 1320
Maintainer: Louis Bouchard <email address hidden>
Architecture: amd64
Version: 3.4-1~ubuntu17.04.1
Depends: python3-six, python3:any (>= 3.3.2-2~)
Conffiles:
 /etc/sos.conf ee501054a13f29cb3109a4e92da34723
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.
Homepage: https://github.com/sosreport/sos

3) Used the LXD ZFS pool to test

$ lxc storage list
+---------+--------+--------------------------------+---------+
| NAME | DRIVER | SOURCE | USED BY |
+---------+--------+--------------------------------+---------+
| default | zfs | /var/lib/lxd/disks/default.img | 1 |
+---------+--------+--------------------------------+---------+

4) Various tests

# Check the zfs plugin is enabled
$ sudo sosreport -l | sed -n '/enabled/,/disabled/p' | grep zfs
 zfs ZFS filesystem

$ sudo sosreport -a
[...]
$ ls -la sosreport-verification.LP1666239-20170427071551/sos_commands/zfs/
total 44
drwx------ 2 ubuntu ubuntu 4096 Apr 27 07:16 .
drwx------ 41 ubuntu ubuntu 4096 Apr 27 07:16 ..
-rw-r--r-- 1 ubuntu ubuntu 21815 Apr 27 07:16 zfs_get_all
-rw-r--r-- 1 ubuntu ubuntu 462 Apr 27 07:16 zfs_list_-t_all_-o_space
-rw-r--r-- 1 ubuntu ubuntu 148 Apr 27 07:16 zpool_list
-rw-r--r-- 1 ubuntu ubuntu 22 Apr 27 07:16 zpool_status_-x

$ diff -u zfs_get_all <(sudo zfs get all) && echo $?
0

$ diff -u zfs_list_-t_all_-o_space <(sudo zfs list -t all -o space) && echo $?
0

$ diff -u zpool_list <(sudo zpool list) && echo $?
0

$ diff -u zpool_status_-x <(sudo zpool status -x) && echo $?
0

(had a quick, visual sanity check at file contents as well)

LGTM :-)

Verification for the Xenial package:

1) Launched a new Xenial VM w/ latest daily image as of this writing

$ nova image-show ubuntu-daily/ubuntu-xenial-daily-amd64-server-20170426-disk1.img | grep simplestreams
| metadata simplestreams_metadata | {"aliases": "16.04,default,lts,x,xenial", "arch": "amd64", "ftype": "disk1.img", "label": "daily", "md5": "f02d478bbd0c2ccc360571769eb1aa8b", "os": "ubuntu", "pubname": "ubuntu-xenial-daily-amd64-server-20170426", "release": "xenial", "release_codename": "Xenial Xerus", "release_title": "16.04 LTS", "sha256": "7fcf88ce74c6070fecab31c1ebf5fa52eab0ebfc248c54905cbd5b401cbefdf8", "size": "286851072", "support_eol": "2021-04-21", "supported": "True", "version": "16.04"} |

$ lsb_release -a && uname -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.2 LTS
Release: 16.04
Codename: xenial
Linux zfs-test 4.4.0-75-generic #96-Ubuntu SMP Thu Apr 20 09:56:33 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

2) Installed -proposed package

$ dpkg -s sosreport
Package: sosreport
Status: install ok installed
Priority: optional
Section: admin
Installed-Size: 1320
Maintainer: Louis Bouchard <email address hidden>
Architecture: amd64
Version: 3.4-1~ubuntu17.04.1
Depends: python3-six, python3:any (>= 3.3.2-2~)
Conffiles:
 /etc/sos.conf ee501054a13f29cb3109a4e92da34723
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.
Homepage: https://github.com/sosreport/sos

3) Used the LXD ZFS pool to test

$ lxc info | grep storage
  storage.zfs_pool_name: lxd
  storage: zfs
  storageversion: "5"

$ sudo zpool list
NAME SIZE ALLOC FREE EXPANDSZ FRAG CAP DEDUP HEALTH ALTROOT
lxd 14.9G 274K 14.9G - 0% 0% 1.00x ONLINE -

4) Various tests

# Check the zfs plugin is enabled
$ sudo sosreport -l | sed -n '/enabled/,/disabled/p' | grep zfs
 zfs ZFS filesystem

$ sudo sosreport -a
[...]
$ ls -la sosreport-verification.LP1666239-20170427104536/sos_commands/zfs/
total 24
drwx------ 2 ubuntu ubuntu 4096 Apr 27 10:45 .
drwx------ 41 ubuntu ubuntu 4096 Apr 27 10:45 ..
-rw-r--r-- 1 ubuntu ubuntu 3539 Apr 27 10:45 zfs_get_all
-rw-r--r-- 1 ubuntu ubuntu 126 Apr 27 10:45 zfs_list_-t_all_-o_space
-rw-r--r-- 1 ubuntu ubuntu 142 Apr 27 10:45 zpool_list
-rw-r--r-- 1 ubuntu ubuntu 22 Apr 27 10:45 zpool_status_-x

$ cd !$

$ diff -u zfs_get_all <(sudo zfs get all) && echo $?
0

$ diff -u zfs_list_-t_all_-o_space <(sudo zfs list -t all -o space) && echo $?
0

$ diff -u zpool_list <(sudo zpool list) && echo $?
0

$ diff -u zpool_status_-x <(sudo zpool status -x) && echo $?
0

(had a quick, visual sanity check at file contents as well)

LGTM :-)

I made a copy/paste error in comment #9 above, in the output of `dpkg -s sosreport`. Correct output is:

$ dpkg -s sosreport
Package: sosreport
Status: install ok installed
Priority: optional
Section: admin
Installed-Size: 1320
Maintainer: Louis Bouchard <email address hidden>
Architecture: amd64
Version: 3.4-1~ubuntu16.04.1
Depends: python3-six, python3:any (>= 3.3.2-2~)
Conffiles:
 /etc/sos.conf ee501054a13f29cb3109a4e92da34723
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.
Homepage: https://github.com/sosreport/sos

re-ran the verification just to be on the safe side. Same results, that was the only error.

Verification for the Yakkety package:

1) Launched a new Yakkety VM w/ latest daily image as of this writing

$ nova image-show ubuntu-daily/ubuntu-yakkety-daily-amd64-server-20170426-disk1.img | grep simplestreams
| metadata simplestreams_metadata | {"aliases": "16.10,y,yakkety", "arch": "amd64", "ftype": "disk1.img", "label": "daily", "md5": "44f90c6f11d087faa61f13baec2485a0", "os": "ubuntu", "pubname": "ubuntu-yakkety-daily-amd64-server-20170426", "release": "yakkety", "release_codename": "Yakkety Yak", "release_title": "16.10", "sha256": "35de403b7aec0f9715068b3c399f162a99de543118214d77d787585d915e7849", "size": "345440256", "support_eol": "2017-07-20", "supported": "True", "version": "16.10"} |

$ lsb_release -a && uname -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety
Linux zfs-test 4.8.0-49-generic #52-Ubuntu SMP Thu Apr 20 09:38:39 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

2) Installed -proposed package

$ dpkg -s sosreport
Package: sosreport
Status: install ok installed
Priority: optional
Section: admin
Installed-Size: 1320
Maintainer: Louis Bouchard <email address hidden>
Architecture: amd64
Version: 3.4-1~ubuntu16.10.1
Depends: python3-six, python3:any (>= 3.3.2-2~)
Conffiles:
 /etc/sos.conf ee501054a13f29cb3109a4e92da34723
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.
Homepage: https://github.com/sosreport/sos

3) Used the LXD ZFS pool to test

$ lxc info | grep storage
- storage_zfs_remove_snapshots
- storage_zfs_use_refquota
- storage_lvm_mount_options
  storage: zfs
  storageversion: "5"
  storage.zfs_pool_name: lxd

$ sudo zpool list
NAME SIZE ALLOC FREE EXPANDSZ FRAG CAP DEDUP HEALTH ALTROOT
lxd 14.9G 274K 14.9G - 0% 0% 1.00x ONLINE -

4) Various tests

# Check the zfs plugin is enabled
$ sudo sosreport -l | sed -n '/enabled/,/disabled/p' | grep zfs
 zfs ZFS filesystem

$ sudo sosreport -a
[...]
$ ls -la sosreport-verification.LP1666239-20170427112732/sos_commands/zfs/
total 24
drwx------ 2 ubuntu ubuntu 4096 Apr 27 11:27 .
drwx------ 41 ubuntu ubuntu 4096 Apr 27 11:27 ..
-rw-r--r-- 1 ubuntu ubuntu 3539 Apr 27 11:27 zfs_get_all
-rw-r--r-- 1 ubuntu ubuntu 126 Apr 27 11:27 zfs_list_-t_all_-o_space
-rw-r--r-- 1 ubuntu ubuntu 142 Apr 27 11:27 zpool_list
-rw-r--r-- 1 ubuntu ubuntu 22 Apr 27 11:27 zpool_status_-x

$ cd !$

$ diff -u zfs_get_all <(sudo zfs get all) && echo $?
0

$ diff -u zfs_list_-t_all_-o_space <(sudo zfs list -t all -o space) && echo $?
0

$ diff -u zpool_list <(sudo zpool list) && echo $?
0

$ diff -u zpool_status_-x <(sudo zpool status -x) && echo $?
0

(had a quick, visual sanity check at file contents as well)

LGTM :-)

Eric Desrochers (slashd) wrote :

Thanks Dominique, based on your feedbacks I'll change the tag to "verification-done".

Eric Desrochers (slashd) wrote :

The LP is mentioning Trusty also, but in fact there is no way for us to test the ZFS plugin in Trusty because ZFS has been first introduced in Xenial.

Meaning that, as of today, only Xenial and late (yakkety, zesty, artful) can be tested

tags: added: sts-sru verification-done-xenial verification-done-yakkety verification-done-zesty
removed: verification-needed
Eric Desrochers (slashd) wrote :

Note that there is no impact of having the zfs plugin in Trusty even if the ZFS plugin code is present in Trusty sosreport.

The ZFS plugin has been made to detect if the zfs package are installed first before running.
If no zfs package installed, the plugin won't run.

Eric Desrochers (slashd) wrote :
Download full text (3.4 KiB)

Verification for the Trusty package:

I have tested "3.4-1~ubuntu16.04.1" which include the ZFS plugin on Trusty. As previously state, Trusty doesn't have ZFS implementation. (Only starting with Xenial and late).

The ZFS plugin in Trusty sosreport doesn't make any noise, it simply doesn't run (expected behaviour) since ZFS ('zfsutils-linux') is not present at the moment of the sosreport run.

Output :
--
$ sosreport -a

sosreport (version 3.4)

This command will collect system configuration and diagnostic
information from this Ubuntu system. An archive containing the collected
information will be generated in /tmp/sos.1i26gfu2.

For more information on Ubuntu visit:

  http://www.ubuntu.com/

The generated archive may contain data considered sensitive and its
content should be reviewed by the originating organization before being
passed to any third party.

No changes will be made to system configuration.

Press ENTER to continue, or CTRL-C to quit.

Please enter your first initial and last name [trusty]:
Please enter the case id that you are generating this report for []:

 Setting up archive ...
 Setting up plugins ...
[plugin:maas] Cannot login into MAAS remote API with provided creds.
 Running plugins. Please wait ...

  Running 1/57: acpid...
  Running 2/57: apparmor...
  Running 3/57: apport...
  Running 4/57: apt...
  Running 5/57: block...
  Running 6/57: boot...
  Running 7/57: cgroups...
  Running 8/57: cron...
  Running 9/57: crypto...
  Running 10/57: dbus...
  Running 11/57: devicemapper...
  Running 12/57: devices...
  Running 13/57: dmraid...
  Running 14/57: dpkg...
  Running 15/57: filesys...
  Running 16/57: gdm...
  Running 17/57: general...
  Running 18/57: hardware...
  Running 19/57: i18n...
  Running 20/57: iscsi...
  Running 21/57: java...
  Running 22/57: kernel...
  Running 23/57: kvm...
  Running 24/57: landscape...
  Running 25/57: last...
  Running 26/57: libraries...
  Running 27/57: libvirt...
  Running 28/57: logrotate...
  Running 29/57: logs...
  Running 30/57: lsbrelease...
  Running 31/57: lvm2...
  Running 32/57: lxd...
  Running 33/57: maas...
  Running 34/57: md...
  Running 35/57: memory...
  Running 36/57: multipath...
  Running 37/57: networking...
  Running 38/57: openssl...
  Running 39/57: pam...
  Running 40/57: pci...
  Running 41/57: procenv...
  Running 42/57: process...
  Running 43/57: processor...
  Running 44/57: puppet...
  Running 45/57: python...
  Running 46/57: scsi...
  Running 47/57: services...
  Running 48/57: soundcard...
  Running 49/57: ssh...
  Running 50/57: system...
  Running 51/57: sysvipc...
  Running 52/57: ubuntu...
  Running 53/57: udev...
  Running 54/57: upstart...
  Running 55/57: usb...
  Running 56/57: x11...
  Running 57...

Read more...

tags: added: verification-done-trusty
Louis Bouchard (louis) on 2017-05-10
Changed in sosreport (Ubuntu Trusty):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Xenial):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Yakkety):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Zesty):
assignee: Louis Bouchard (louis) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu14.04.1

---------------
sosreport (3.4-1~ubuntu14.04.1) trusty; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:34:41 +0200

Changed in sosreport (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for sosreport has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu16.10.1

---------------
sosreport (3.4-1~ubuntu16.10.1) yakkety; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:51:14 +0200

Changed in sosreport (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu17.04.1

---------------
sosreport (3.4-1~ubuntu17.04.1) zesty; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:51:14 +0200

Changed in sosreport (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu16.04.1

---------------
sosreport (3.4-1~ubuntu16.04.1) xenial; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:40:01 +0200

Changed in sosreport (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers